API 적용 가능한 구매자 사용자 지역: 한국, 대만
Path
GET
/v2/providers/openapi/apis/api/v5/vendors/{vendorId}/ordersheets/{shipmentBoxId}/history
Example Endpoint
https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v5/vendors/A00012345/ordersheets/{shipmentBoxId}/history
Request Parameters
Path Segment Parameter
| Name | Required | Type | Description | ||||
|---|---|---|---|---|---|---|---|
| vendorId | O | String |
판매자 ID
쿠팡에서 업체에게 발급한 고유 코드
예) A00012345
|
||||
| shipmentBoxId | O | Number |
묶음배송번호
발주서 목록 조회 API를 통해 확인 가능
|
||||
Request Example
Response Message
| Name | Type | Description | ||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| code | Number |
서버 응답 코드
|
||||||||||||||||||
| message | String |
서버 응답 메세지
|
||||||||||||||||||
| data | Array |
결제완료목록
|
||||||||||||||||||
| shipmentBoxId | Number |
묶음배송번호
|
||||||||||||||||||
| details | Array |
히스토리 상세
|
||||||||||||||||||
| deliveryStatus | String |
배송상태
|
||||||||||||||||||
| deliveryStatusDesc | String |
배송상태 설명
|
||||||||||||||||||
| updatedAt | String |
변경시간
(ISO-8601 표준 준수) 형식: YYYY-MM-DDThh:mm:ss.ssssss±hh:mm |
||||||||||||||||||
Response Example
{
"shipmentBoxId": 123456789012345678,
"data": [
{
"deliveryStatus": "FINAL_DELIVERY",
"deliveryStatusDesc": "배송완료",
"updatedAt": "2025-01-15T14:17:13.973885-08:00"
},
{
"deliveryStatus": "DELIVERING",
"deliveryStatusDesc": "배송중",
"updatedAt": "2025-01-15T14:17:13.973885-08:00"
},
{
"deliveryStatus": "DEPARTURE",
"deliveryStatusDesc": "배송지시",
"updatedAt": "2025-01-15T14:17:13.973885-08:00"
},
{
"deliveryStatus": "INSTRUCT",
"deliveryStatusDesc": "상품준비중",
"updatedAt": "2025-01-15T14:17:13.973885-08:00"
},
{
"deliveryStatus": "ACCEPT",
"deliveryStatusDesc": "결제완료",
"updatedAt": "2025-01-15T14:17:13.973885-08:00"
}
]
}
Error Spec
| HTTP 상태 코드(오류 유형) | 오류 메시지 | 해결 방법 |
|---|---|---|
| 400 (요청변수확인) | Invalid vendor ID | 판매자 ID(vendorId) 값을 올바로 입력했는지 확인합니다. |
| 500 (요청변수확인) | Internal Exception | 묶음배송번호(shipmentBoxId) 값을 올바로 입력했는지 확인합니다. |
URL API Name
GET_ORDERSHEET_HISTORY